%global git_commit bfb667080936ca5c2d23b3282f5893931ec38d3f
%global git_date 20180615

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

Name:           airspyone_host
Version:        1.0.9
Release:        2.%{git_suffix}%{?dist}
Summary:        AirSpy host tools and library

License:        GPLv2+
URL:            http://airspy.com/
Source0:        https://github.com/airspy/%{name}/archive/%{git_commit}.tar.gz#/%{name}-%{git_suffix}.tar.gz

BuildRequires:  gcc, cmake, libusbx-devel, systemd

%description
Software for AirSpy, a project to produce a low cost, open
source software radio platform.

%package devel
Requires:       %{name} = %{version}-%{release}%{?isa}
License:        MIT and BSD
Summary:        Development files for %{name}

%description devel
Files needed to develop software against libairspy.

%prep
%setup -q -n %{name}-%{git_commit}

# Remove win stuff
rm -rf libairspy/vc

# Fix udev rule
sed -i -e 's/GROUP="plugdev"/ENV{ID_SOFTWARE_RADIO}="1"/g' airspy-tools/52-airspy.rules

%build
mkdir build
cd build
%cmake ../ -DINSTALL_UDEV_RULES=on

make %{?_smp_mflags}

%install
make -C build install DESTDIR=%{buildroot}

# Remove static object
rm -f %{buildroot}%{_libdir}/libairspy.a

# Move udev rule to correct location
mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/52-airspy.rules %{buildroot}%{_udevrulesdir}

%post
/sbin/ldconfig
%udev_rules_update

%postun
/sbin/ldconfig
%udev_rules_update

%files
%license airspy-tools/LICENSE.md
%doc README.md
%{_bindir}/airspy_*
%{_libdir}/libairspy.so.*
%{_udevrulesdir}/52-airspy.rules

%files devel
%{_includedir}/libairspy/*.h
%{_libdir}/pkgconfig/libairspy.pc
%{_libdir}/libairspy.so

%changelog
* Fri Jun 15 2018 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0.9-2.20180615gitbfb66708
- Update for Fedora

* Mon Dec 19 2016 Dave Burgess <dvd.burgess@gmail.com> - 1.0.9-1
- Initial package
